Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
121 Views

Problems when running demo-FAILED: squeezenet1.1 Error

Jump to solution

Dear,

 

When I was running demo_squeezenet_download_convert_run.bat in C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\, it always say that Failed: squeezenet1.1 Error. I have uninstalled OpenVINP and re-installed many times but it seems that it doesn't work. I was wondering if it is possible for you to help me solve this problem.QAQ

Besides, when it downloads models or squeezenet1.1, it always say 

The connection attempt failed because the connector did not reply correctly after a period of time or the connected host did not respond

 

 

There are all instructions that cmd offers:

target_precision = FP16
Python 3.7.0
ECHO 处于关闭状态。
PYTHONPATH=C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\accuracy_checker;C:\Program Files (x86)\IntelSWTools\openvino\python\python3.7;C:\Program Files (x86)\IntelSWTools\openvino\python\python3;C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\accuracy_checker;C:\Program Files (x86)\IntelSWTools\openvino\python\python3.7;C:\Program Files (x86)\IntelSWTools\openvino\python\python3;
[setupvars.bat] OpenVINO environment initialized
INTEL_OPENVINO_DIR is set to C:\Program Files (x86)\IntelSWTools\openvino
Python 3.7.0
ECHO 处于关闭状态。
Requirement already satisfied: pyyaml in f:\openvino_windows\microvsshared\python37_64\lib\site-packages (from -r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\\..\open_model_zoo\tools\downloader\requirements.in (line 1)) (5.3.1)
Requirement already satisfied: requests in c:\users\my\appdata\roaming\python\python37\site-packages (from -r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (2.18.4)
Requirement already satisfied: idna<2.7,>=2.5 in c:\users\my\appdata\roaming\python\python37\site-packages (from requests->-r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (2.6)
Requirement already satisfied: certifi>=2017.4.17 in f:\openvino_windows\microvsshared\python37_64\lib\site-packages (from requests->-r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (2019.11.28)
Requirement already satisfied: urllib3<1.23,>=1.21.1 in c:\users\my\appdata\roaming\python\python37\site-packages (from requests->-r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (1.22)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in f:\openvino_windows\microvsshared\python37_64\lib\site-packages (from requests->-r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (3.0.4)
Download public squeezenet1.1 model
python "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\downloader.py" --name squeezenet1.1 --output_dir C:\Users\my\Documents\Intel\OpenVINO\openvino_models\models --cache_dir C:\Users\my\Documents\Intel\OpenVINO\openvino_models\cache
################|| Downloading models ||################

========== Downloading C:\Users\my\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1\squeezenet1.1.prototxt
Traceback (most recent call last):
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\urllib3\connection.py", line 141, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\urllib3\util\connection.py", line 83, in create_connection
    raise err
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\urllib3\util\connection.py", line 73, in create_connection
    sock.connect(sa)
TimeoutError: [WinError 10060] 由于连接方在一段时间后没有正确答复或连接的主机没有反应,连接尝试失败。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\urllib3\connectionpool.py", line 601, in urlopen
    chunked=chunked)
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\urllib3\connectionpool.py", line 346, in _make_request
    self._validate_conn(conn)
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\urllib3\connectionpool.py", line 850, in _validate_conn
    conn.connect()
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\urllib3\connection.py", line 284, in connect
    conn = self._new_conn()
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\urllib3\connection.py", line 150, in _new_conn
    self, "Failed to establish a new connection: %s" % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x0000015A14306BE0>: Failed to establish a new connection: [WinError 10060] 由于连接方在一段时间后没有正确答复或连接的主机没有反应,连接尝试失败。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\requests\adapters.py", line 440, in send
    timeout=timeout
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\urllib3\connectionpool.py", line 639, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\urllib3\util\retry.py", line 388, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='raw.githubusercontent.com', port=443): Max retries exceeded with url: /DeepScale/SqueezeNet/a47b6f13d30985279789d08053d37013d67d131b/SqueezeNet_v1.1/deploy.prototxt (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x0000015A14306BE0>: Failed to establish a new connection: [WinError 10060] 由于连接方在一段时间后没有正确答复或连接的主机没有反应,连接尝试失败。'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\downloader.py", line 65, in try_download
    chunk_iterable = start_download()
  File "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\downloader.py", line 244, in <lambda>
    lambda: model_file.source.start_download(session, CHUNK_SIZE)):
  File "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\common.py", line 172, in start_download
    response = session.get(self.url, stream=True, timeout=DOWNLOAD_TIMEOUT)
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\requests\sessions.py", line 521, in get
    return self.request('GET', url, **kwargs)
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\requests\sessions.py", line 508, in request
    resp = self.send(prep, **send_kwargs)
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\requests\sessions.py", line 618, in send
    r = adapter.send(request, **kwargs)
  File "C:\Users\my\AppData\Roaming\Python\Python37\site-packages\requests\adapters.py", line 508, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='raw.githubusercontent.com', port=443): Max retries exceeded with url: /DeepScale/SqueezeNet/a47b6f13d30985279789d08053d37013d67d131b/SqueezeNet_v1.1/deploy.prototxt (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x0000015A14306BE0>: Failed to establish a new connection: [WinError 10060] 由于连接方在一段时间后没有正确答复或连接的主机没有反应,连接尝试失败。'))
########## Error: Download failed

################|| Post-processing ||################

FAILED:
squeezenet1.1
squeezenet1.1 model downloading completed

等待 0 秒,按一个键继续 ...

###############|| Install Model Optimizer prerequisites ||###############


等待 0 秒,按一个键继续 ...
Python 3.7.0
ECHO 处于关闭状态。
Requirement already satisfied: networkx<2.4,>=1.11 in c:\users\my\appdata\roaming\python\python37\site-packages (from -r ..\requirements_caffe.txt (line 1)) (2.3)
Requirement already satisfied: numpy>=1.12.0 in f:\openvino_windows\microvsshared\python37_64\lib\site-packages (from -r ..\requirements_caffe.txt (line 2)) (1.18.2)
Requirement already satisfied: protobuf==3.6.1 in c:\users\my\appdata\roaming\python\python37\site-packages (from -r ..\requirements_caffe.txt (line 3)) (3.6.1)
Requirement already satisfied: defusedxml>=0.5.0 in c:\users\my\appdata\roaming\python\python37\site-packages (from -r ..\requirements_caffe.txt (line 4)) (0.6.0)
Requirement already satisfied: decorator>=4.3.0 in c:\users\my\appdata\roaming\python\python37\site-packages (from networkx<2.4,>=1.11->-r ..\requirements_caffe.txt (line 1)) (4.4.2)
Requirement already satisfied: six>=1.9 in f:\openvino_windows\microvsshared\python37_64\lib\site-packages (from protobuf==3.6.1->-r ..\requirements_caffe.txt (line 3)) (1.14.0)
Requirement already satisfied: setuptools in f:\openvino_windows\microvsshared\python37_64\lib\site-packages (from protobuf==3.6.1->-r ..\requirements_caffe.txt (line 3)) (46.1.1)
*****************************************************************************************
Warning: please expect that Model Optimizer conversion might be slow.
You can boost conversion speed by installing protobuf-*.egg located in the
"model-optimizer\install_prerequisites" folder or building protobuf library from sources.
For more information please refer to Model Optimizer FAQ, question #80.

等待 0 秒,按一个键继续 ...

###############|| Run Model Optimizer ||###############


等待 0 秒,按一个键继续 ...
python "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\converter.py" --mo "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\model_optimizer\mo.py" --name "squeezenet1.1" -d "C:\Users\my\Documents\Intel\OpenVINO\openvino_models\models" -o "C:\Users\my\Documents\Intel\OpenVINO\openvino_models\ir" --precisions "FP16"
========= Converting squeezenet1.1 to IR (FP16)
Conversion command: C:\ProgramData\Anaconda3\python.exe -- "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\model_optimizer\mo.py" --framework=caffe --data_type=FP16 --output_dir=C:\Users\my\Documents\Intel\OpenVINO\openvino_models\ir\public\squeezenet1.1\FP16 --model_name=squeezenet1.1 --input_shape=[1,3,227,227] --input=data --mean_values=data[104.0,117.0,123.0] --output=prob --input_model=C:\Users\my\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1/squeezenet1.1.caffemodel --input_proto=C:\Users\my\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1/squeezenet1.1.prototxt

[ ERROR ]  The "C:\Users\my\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1/squeezenet1.1.caffemodel" is not existing file
FAILED:
squeezenet1.1
Error
 

 

 

 

Thank you so much!!

0 Kudos

Accepted Solutions
Highlighted
121 Views

Hi,

The issue seems to be due to network proxy. Due to this, the model downloader could not download the model.

Set the proxy if any or try with a open network.

Regards,

Ram prasad

View solution in original post

0 Kudos
3 Replies
Highlighted
122 Views

Hi,

The issue seems to be due to network proxy. Due to this, the model downloader could not download the model.

Set the proxy if any or try with a open network.

Regards,

Ram prasad

View solution in original post

0 Kudos
Highlighted
Beginner
121 Views

I am sorry but I have no idea why my post didn't get posted.

 

I am using ubuntu18_dev:2020.2 docker image and I found that /opt/intel/openvino/deployment_tools/inference_engine/lib/intel64/libcpu*.so is missing. I cross-checked ubuntu18_dev:2019_R3.1 and find the libcpu*.so (e.g. libcpu_extension_sse4.so). May I know how could I get my script running?

Thanks in advance

0 Kudos
Highlighted
Beginner
121 Views

Dear Ram prasad,

 

Thank you so much. You are right.

 

 

0 Kudos